{% extends 'generic/object.html' %}

{% block extra_controls %}
<a href="{% url 'plugins:netbox_rps_plugin:httpheader_add' %}?mapping={{ object.pk }}&return_url={{ object.get_absolute_url }}"
  class="btn btn-sm btn-primary">
  <span class="mdi mdi-plus-thick" aria-hidden="true"></span> Add HTTP Header
</a>

<a href="{% url 'plugins:netbox_rps_plugin:redirect_add' %}?mapping={{ object.pk }}&return_url={{ object.get_absolute_url }}"
  class="btn btn-sm btn-primary">
  <span class="mdi mdi-plus-thick" aria-hidden="true"></span> Add Redirect
</a>

{% if not object.saml_config %}
<a href="{% url 'plugins:netbox_rps_plugin:samlconfig_add' %}?mapping={{ object.pk }}&return_url={{ object.get_absolute_url }}"
  class="btn btn-sm btn-primary">
  <span class="mdi mdi-plus-thick" aria-hidden="true"></span> Add <abbr
    title="Security Assertion Markup Language">SAML</abbr> Configuration
</a>
{% endif %}

<a href="{% url 'plugins:netbox_rps_plugin:acldeniedsource_add' %}?mapping={{ object.pk }}&return_url={{ object.get_absolute_url }}"
  class="btn btn-sm btn-primary">
  <span class="mdi mdi-plus-thick" aria-hidden="true"></span> Add <abbr
    title="Access Control List">ACL</abbr> Denied Source
</a>

{% if not object.cache_config %}
<a href="{% url 'plugins:netbox_rps_plugin:cacheconfig_add' %}?mapping={{ object.pk }}&return_url={{ object.get_absolute_url }}"
  class="btn btn-sm btn-primary">
  <span class="mdi mdi-plus-thick" aria-hidden="true"></span> Add Cache Configuration
</a>
{% endif %}
{% if not object.hsts_protocol %}
<a href="{% url 'plugins:netbox_rps_plugin:hstsprotocol_add' %}?mapping={{ object.pk }}&return_url={{ object.get_absolute_url }}"
  class="btn btn-sm btn-primary">
  <span class="mdi mdi-plus-thick" aria-hidden="true"></span> Add Hsts Protocol
</a>
{% endif %}
{% endblock %}

{% block content %}
<div class="row mb-3">
  <div class="col col-md-6">
    <div class="card">
      <h5 class="card-header">MAPPINGS</h5>
      <div class="card-body">
        <table class="table table-hover attr-table">
          <tr>
            <th scope="row">Name</th>
            <td>{{ object.source }}</td>
          </tr>
          <tr>
            <th scope="row">Comment</th>
            <td>
              {% if object.Comment %}
              {{ object.Comment }}
              {% else %}
              {{ ''|placeholder }}
              {% endif %}
            </td>
          </tr>
        </table>
      </div>
    </div>
    {% include 'inc/panels/custom_fields.html' %}
    {% include 'inc/panels/tags.html' %}
  </div>
  <div class="col col-md-6">
    <div class="card">
      <h5 class="card-header">Details</h5>
      <div class="card-body">
        <table class="table table-hover attr-table">
          <tr>
            <th scope="row">Source</th>
            <td>{{ object.source }}</td>
          </tr>
          <tr>
            <th scope="row">Target</th>
            <td>{{ object.target }}</td>
          </tr>
          <tr>
            <th scope="row">Authentication</th>
            <td>{{ object.get_authentication_display|placeholder }}</td>
          </tr>
          <tr>
            <th scope="row">Testing page</th>
            <td>{{ object.testingpage }}</td>
          </tr>
          <tr>
            <th scope="row">Webdav</th>
            <td>{{ object.webdav|yesno }}</td>
          </tr>
          <tr>
            <th scope="row">Extra Protocols</th>
            <td>{{ object.extra_protocols|placeholder }}</td>
          </tr>
          <tr>
            <th scope="row">Comment</th>
            <td>
              {% if object.Comment %}
              {{ object.Comment }}
              {% else %}
              {{ ''|placeholder }}
              {% endif %}
            </td>
          </tr>
          <tr>
            <th scope="row">gzip proxied</th>
            <td>{{ object.gzip_proxied|yesno }}</td>
          </tr>
          <tr>
            <th scope="row">Keepalive requests</th>
            <td>{{ object.keepalive_requests }}</td>
          </tr>
          <tr>
            <th scope="row">Keepalive timeout</th>
            <td>{{ object.keepalive_timeout }}&nbsp;s</td>
          </tr>
          <tr>
            <th scope="row">Proxy cache</th>
            <td>{{ object.proxy_cache|yesno }}</td>
          </tr>
          <tr>
            <th scope="row">Proxy read timeout</th>
            <td>{{ object.proxy_read_timeout }}&nbsp;s</td>
          </tr>
          <tr>
            <th scope="row">Client max body size</th>
            <td>{{ object.client_max_body_size }}&nbsp;MB</td>
          </tr>
          <tr>
            <th scope="row">Sorry Page</th>
            <td>{{ object.sorry_page }}</td>
          </tr>
          <tr>
            <th scope="row">Proxy Buffer Size</th>
            <td>{{ object.proxy_buffer_size }}</td>
          </tr>
          <tr>
            <th scope="row">Proxy Buffer</th>
            <td>{{ object.proxy_buffer }}</td>
          </tr>
          <tr>
            <th scope="row">Proxy Busy Buffer</th>
            <td>{{ object.proxy_busy_buffer }}</td>
          </tr>
        </table>
      </div>
    </div>
    {% if object.saml_config %}
    <div class="card">
      <h5 class="card-header">SAML Configuration</h5>
      <div class="card-body">
        <table class="table table-hover attr-table">
          <tr>
            <th scope="row">ACS URL</th>
            <td>{{ object.saml_config.acs_url }}</td>
          </tr>
          <tr>
            <th scope="row">Logout URL</th>
            <td>{{ object.saml_config.logout_url }}</td>
          </tr>
          <tr>
            <th scope="row">Force AuthnRequest</th>
            <td>{{ object.saml_config.force_nauth }}</td>
          </tr>
        </table>
      </div>
    </div>
    {% endif %}
    <!-- {% if object.acl_denied_source %}
    <div class="col col-md-6">
      <div class="card">
        <h5 class="card-header">ACL Denied Source</h5>
        <div class="card-body">
          <table class="table table-hover attr-table">
            <tr>
              <th scope="row">id</th>
              <td>{{ object.acl_denied_source.id }}</td>
            </tr>
            <tr>
              <th scope="row">Mapping ID</th>
              <td>{{ object.id }}</td>
            </tr>
            <tr>
              <th scope="row">Acl Source</th>
              <td>{{ object.acl_denied_source.acl_source }}</td>
            </tr>
            <tr>
              <th scope="row">Last Updated</th>
              <td>{{ object.acl_denied_source.last_updated }}</td>
            </tr>
            <tr>
              <th scope="row">Created</th>
              <td>{{ object.acl_denied_source.created }}</td>
            </tr>
          </table>
        </div>
      </div>
    </div>
    {% endif %} -->
  </div>
</div>
{% endblock content %}
